<?php
/* @var $this GoogleMapMarkerController */
/* @var $model GoogleMapMarker */

$this->breadcrumbs = array(
    'Google Maps' => array('googleMap/admin'),
    $model->map->title => array('admin', 'map_id' => $model->map->id),
    Yii::t('admin', 'Manage'),
);

$this->menu = array(
    array('label' => 'Manage Google Map Marker', 'url' => array('admin')),
    array('label' => 'Create Google Map Marker', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
$('.search-form').toggle();
return false;
});
$('.search-form form').submit(function(){
$('#google-map-marker-grid').yiiGridView('update', {
data: $(this).serialize()
});
return false;
});
");
?>
<div class="page-header">
    <h1>
        <?php echo Yii::t("admin", "Manage Google Map Markers"); ?>        
        <?php echo CHtml::link(Yii::t("admin", "Create Google Map Marker"), array("create", 'map_id' => $model->map_id), array("class" => "btn btn-sm btn-primary pull-right")); ?>    </h1>
</div>

<!--<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>-->

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button btn btn-xs')); ?>
<div class="search-form display-none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('ext.widgets.FGridView', array(
    'id' => 'google-map-marker-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'id',
            'htmlOptions' => array('style' => 'width:50px;'),
        ),
        array(
            'name' => 'title',
            'value' => 'CHtml::link($data->title,array("update","id"=>$data->id))',
            'type' => 'raw',
        ),
//        'animation',
//        'clickable',
//        'cursor',
//        'draggable',
        'icon',
        'latitude',
        'longitude',
//        'map_id',
        array(
            'class' => 'CButtonColumn',
            'template' => '{update} {delete}',
        ),
    ),
));
?>
